extends ProgressBar

var addAmount: float

func _ready() -> void:
	await get_tree().process_frame
	var crystals = get_tree().get_nodes_in_group("crystals")
	addAmount = crystals.size() / 100.0
	print("Pulled " + str(crystals.size()) + " crystals from scene")
	
	for crystal in crystals:
		print("Connecting crystal: " + crystal.name)
		crystal.connect("crystal_picked_up", Callable(self, "collect"))

func collect():
	print("Collected crystal")
	value += 5.0
